﻿using Samples.Shared;
using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Threading;

namespace Samples.GridView.RowReorder
{
    /// <summary>
    /// Interaction logic for MainPage.xaml
    /// </summary>
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.radGridView.ItemsSource = SampleData.GetMessages();
            //Application.Current.MainWindow.Closing += new System.ComponentModel.CancelEventHandler(MainWindow_Closing);
            DispatcherTimer timer = new DispatcherTimer();
            timer.Tick += new EventHandler(timer_Tick);
            timer.Interval = TimeSpan.FromSeconds(5);
            //timer.Start();
        }

        void MainWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
           
        }

        void timer_Tick(object sender, EventArgs e)
        {
            this.ReorderBehavior.DragCueActionContentTemplate = (DataTemplate)this.Resources["testTemplate1"];
            this.ReorderBehavior.DragCueTooltipContentTemplate = (DataTemplate)this.Resources["testTemplate2"];
            this.ReorderBehavior.DragCueStyle = (Style)this.Resources["CueStyle"];
        }

        private void ReorderBehavior_BeginningDrag(object sender, BeginningDragEventArgs e)
        {
            //e.Cancel = false;
        }

        private void ReorderBehavior_DragStarted(object sender, DragStartedEventArgs e)
        {

        }

        private void ReorderBehavior_Reordering(object sender, SampleBrowser.Samples.GridView.RowReorder.ReorderingEventArgs e)
        {
            
            //e.Handled = true;
        }

        private void ReorderBehavior_Reordered(object sender, SampleBrowser.Samples.GridView.RowReorder.ReorderedEventArgs e)
        {

        }
    }
}
