﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Telerik.Windows.Controls;
using System.Collections;
using Telerik.Windows.Controls.GridView;

namespace SampleBrowser.Samples.GridView.RowReorder
{
    public class ReorderingEventArgs : SampleBrowser.Shared.HandledEventArgs
    {
        public GridViewDataControl SourceGrid
        {
            get;
            private set;
        }

        public IEnumerable<object> DraggedItems
        {
            get;
            private set;
        }

        public int DropIndex
        {
            get;
            private set;
        }

        public ReorderingEventArgs(GridViewDataControl sourceGrid, IEnumerable<object> draggedItems, int dropIndex)
            : base(false)
        {
            this.SourceGrid = sourceGrid;
            this.DraggedItems = draggedItems;
            this.DropIndex = dropIndex;
        }
    }
}
