﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using System.Collections;

namespace Samples.GridView.RowReorder
{
    public class DragStartedEventArgs : EventArgs
    {
        public RadGridView SourceGrid
        {
            get;
            private set;
        }

        public IEnumerable<object> DraggedItems
        {
            get;
            private set;
        }

        public DragStartedEventArgs(RadGridView sourceGrid, IEnumerable<object> draggedItems)
            : base()
        {
            this.SourceGrid = sourceGrid;
            this.DraggedItems = draggedItems;
        }
    }
}
